Package org.spongepowered.asm.mixin.injection.selectors

## Interface ITargetSelectorDynamic

All Superinterfaces:
  `ITargetSelector`

All Known Implementing Classes:
  `DynamicSelectorDesc`

    public interface ITargetSelectorDynamic
    extends ITargetSelector

Decoration interface for dynamic target selectors

### Nested Class Summary

Nested Classes
`static interface` `ITargetSelectorDynamic.SelectorAnnotation` Decoration for subclasses which indicates an annotation type from which the selector can be parsed.
`static interface` `ITargetSelectorDynamic.SelectorId` Decoration for subclasses which indicates id used for a specific selector when specified, for example `@MyNamespace:MySelector(argshere)` would specify "MySelector"

### Nested classes/interfaces inherited from interface org.spongepowered.asm.mixin.injection.selectors.ITargetSelector

`ITargetSelector.Configure`

### Method Summary

### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ITargetSelector

`attach, configure, getMaxMatchCount, getMinMatchCount, match, next, validate`